MKVINFO(1)

NAZWA
mkvinfo - Print information about elements in Matroska(TM) files

SZABLON LINII KOMEND

mkvinfo [opcje] {źródłowa-nazwa pliku}

OPIS

This program lists all elements contained in a Matroska(TM). The output can be limited to a list of tracks in the file including information about the codecs used.

-a, --all
    By default mkvinfo(1) stops when it encounters the first cluster. Additionally it doesn't show certain often occurring elements. With this option mkvinfo(1) will continue processing regardless of the verbosity level and show all elements.

-c, --checksums
    Calculates and display the Adler-32 checksum for each frame. Useful for debugging only.

-o, --continue
    By default mkvinfo(1) stops when it encounters the first cluster. With this option mkvinfo(1) will continue processing regardless of the verbosity level.

-p, --hex-positions
    Show the positions of all elements in hexadecimal regardless of the verbosity level.

-P, --positions
    Show the positions of all elements in decimal regardless of the verbosity level.

-s, --summary
    Only show a terse summary of what mkvinfo(1) finds and not each element.

-t, --track-info
    Show statistics for each track in verbose mode. Also sets verbosity to 1 if it was at level 0 before.

-x, --hexdump
    Pokaż pierwsze 16 bajtów każdej klatki jako zrzut szesnastkowy.

-X, --full-hexdump
    Pokaż wszystkie bajty każdej klatki jako zrzut szesnastkowy.

-z, --size
    Pokaż rozmiar każdego elementu łacznie z jego nagłówkiem.

--command-line-charset zestaw-znaków
    Sets the character set to convert strings given on the command line from. It defaults to the character set given by system's current locale.

--output-charset zestaw-znaków
    Sets the character set to which strings are converted that are to be output. It defaults to the character set given by system's current locale.

-r, --redirect-output nazwa-pliku
    Zapisuje wszystkie powiadomienia do pliku nazwa-pliku zamiast do konsoli. Podczas gdy może być to robione łatwo z przekierowaniem wyjścia, są przypadki, gdy ta opcja właśnie jest potrzebna: gdy terminal ponownie interpretuje plik wyjściowy przed zapisaniem do pliku. Uznawany będzie zestaw znaków ustawiony z opcją --output-charset.

--ui-language kod
    Forces the translations for the language code to be used (e.g. 'de_DE' for the German translations). Entering 'list' as the code will cause the program to output a list of available translations.

--abort-on-warnings
    Nakazuje programowi przerwanie po wyemitowaniu pierwszego ostrzeżenia. Kodem wyjścia programu będzie 1.

--debug temat
    Włącz debugowanie dla konkretnej funkcji. Ta opcja jest użyteczna tylko dla deweloperów.

--engage funkcja
    Włącz funkcje eksperymentalne. Listę dostępnych funkcji można uzyskać za pomocą komendy mkvinfo --engage list. Te funkcje nie są przeznaczone do użytku w normalnych sytuacjach.

--gui-mode
    Turns on GUI mode. In this mode specially-formatted lines may be output that can tell a controlling GUI what's happening. These messages follow the format '#GUI#message'. The message may be followed by key/value pairs as in '#GUI#message#key1=value1#key2=value2...'. Neither the messages nor the keys are ever translated and always output in English.

-v, --verbose
    Be more verbose. See the section about verbosity levels for a description which information will be output at which level.

-h, --help
    Pokaż informację o sposobie użycia opcji i wyjdź.

-V, --version
    Pokaż informację o wersji i wyjdź.

@options-file.json
    Reads additional command line arguments from the file options-file. For a full explanation on the supported formats for such files see the section called "Option files" in the mkvmerge(1) man page.

POZIOMY SZCZEGÓŁOWOŚCI

The -v option can be used to increase mkvinfo(1)'s verbosity level and print more information about the current file.

At level 0 mkvinfo(1) will print only the track headers it finds and their types. mkvinfo(1) will exit as soon as the headers are parsed completely (more technical: as soon as the first cluster is encountered). In this level the seek head entries and the cues will not be displayed -- even if they're located in front of the track information.

At level 1 mkvinfo(1) will also print all Matroska(TM) elements encountered for the complete file but the seek head entries and the cue entries. If the summary mode is enabled then mkvinfo(1) will output the frame position as well.

The same effect can be achieved with the option --continue.

At level 2 mkvinfo(1) will also print the seek head entries, the cue entries and the file position at which each Matroska(TM) element can be found at.

The same effect can be achieved with the options --all --positions.

At level 3 and above mkvinfo(1) will print some information that is not directly connected to a Matroska(TM) element. All other elements only print stuff about the elements that were just found. Level 3 adds meta information to ease debugging (read: it's intended for developers only). All lines written by level 3 are enclosed in square brackets to make filtering them out easy.

TEXT FILES AND CHARACTER SET CONVERSIONS

Szczegółowe omówienie sposobu, w jaki wszystkie narzędzia w pakiecie MKVToolNix obsługują konwersję zestawu znaków, kodowanie wejściowe/wyjściowe, kodowanie linii komend i kodowanie konsoli, można znaleźć w sekcji o identycznej nazwie na mkvmerge(1) stronie podręcznika.

KODY ZAKOŃCZENIA

mkvinfo(1) exits with one of three exit codes:

    • 0 -- Ten kod zakończenia oznacza, że praca została zakończona powodzeniem.

    • 1 -- In this case mkvinfo(1) has output at least one warning, but the run did continue. A warning is prefixed with the text 'Warning:'.

    • 2 -- This exit code is used after an error occurred. mkvinfo(1) aborts right after outputting the error message. Error messages range from wrong command line arguments over read/write errors to broken files.

ZMIENNE ŚRODOWISKOWE

mkvinfo(1) uses the default variables that determine the system's locale (e.g. LANG and the LC_* family). Additional variables:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG i jego skrócona forma MTX_DEBUG
    The content is treated as if it had been passed via the --debug option.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE i jego skrócona forma MTX_ENGAGE
    The content is treated as if it had been passed via the --engage option.

ZOBACZ TAKŻE

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

STRONA WWW

The latest version can always be found at the MKVToolNix homepage[1].

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Autor

PRZYPISY

1.  the MKVToolNix homepage
    https://mkvtoolnix.download/